/* $Id: aboutdlg.c,v 1.1 2004/02/03 10:13:41 benny Exp $ */
/*-
 * Copyright (c) 2002-2004 Benedikt Meurer <benny@xfce.org>
 * All rights reserved.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include <stdlib.h>

#include <libxfcegui4/libxfcegui4.h>

int
main(int argc, char *argv[])
{
  XfceAboutInfo *info;
  GtkWidget *dialog;

  gtk_init(&argc, &argv);

  info = xfce_about_info_new(
      "aboutdlg",
      "1.0",
      "Sample application with about dialog",
      XFCE_COPYRIGHT_TEXT("2002-2004", "The XFce development team"),
      XFCE_LICENSE_LGPL);
  xfce_about_info_set_homepage(info, "http://www.xfce.org/");
  xfce_about_info_add_credit(info,
      "Benedikt Meurer",
      "benny@xfce.org",
      "Hacking");

  dialog = xfce_about_dialog_new(NULL, info, NULL);

  xfce_about_info_free(info);

  gtk_dialog_run(GTK_DIALOG(dialog));

  return(EXIT_SUCCESS);
}
