
#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include <libxfcegui4/xfce_movehandler.h>

gint delete_event(GtkWidget * widget, GdkEvent * event, gpointer data)
{
    /* If you return FALSE in the "delete_event" signal handler,
     * GTK will emit the "destroy" signal. Returning TRUE means
     * you don't want the window to be destroyed.
     * This is useful for popping up 'are you sure you want to quit?'
     * type dialogs. */

    gtk_main_quit();

    /* Change TRUE to FALSE and the main window will be destroyed with
     * a "delete_event". */

    return TRUE;
}

/* Another callback */
void destroy(GtkWidget * widget, gpointer data)
{
    gtk_main_quit();
}

int main(int argc, char *argv[])
{
    GtkWidget *window;
    GtkWidget *movehandler;

    gtk_init(&argc, &argv);

    /* create a new window */
    window = gtk_window_new(GTK_WINDOW_TOPLEVEL);

    g_signal_connect(G_OBJECT(window), "delete_event", G_CALLBACK(delete_event), NULL);

    g_signal_connect(G_OBJECT(window), "destroy", G_CALLBACK(destroy), NULL);

    /* Sets the border width of the window. */
    gtk_container_set_border_width(GTK_CONTAINER(window), 0);

    /* Creates the movehandler widget */
    movehandler = xfce_movehandler_new(window);

    /* This packs the movehandler into the window (a gtk container). */
    gtk_container_add(GTK_CONTAINER(window), movehandler);

    /* The final step is to display this newly created widget. */
    gtk_widget_show(movehandler);

    /* and the window */
    gtk_widget_show(window);

    gtk_main();

    return 0;
}
